Package de.willuhn.jameica.hbci.server

# Class AbstractHibiscusTransferImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusTransferImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `HibiscusDBObject`, `HibiscusTransfer`, `Transfer`, `Serializable`, `Remote`

Direct Known Subclasses:
  `AbstractBaseDauerauftragImpl`, `AbstractBaseUeberweisungImpl`

public abstract class AbstractHibiscusTransferImpl extends AbstractHibiscusDBObject implements HibiscusTransfer
Abstrakte Basis-Implementierung von Geld-Transfers zwischen Konten.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`AbstractHibiscusTransferImpl()`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
`Object`
`getAttribute(String arg0)`
`double`
`getBetrag()`
Liefert den Betrag.
`String`
`getGegenkontoBLZ()`
Liefert die BLZ des Gegenkontos.
`String`
`getGegenkontoName()`
Liefert den Namen des Kontoinhabers des Gegenkontos.
`String`
`getGegenkontoNummer()`
Liefert die Kontonummer des Gegenkontos.
`Konto`
`getKonto()`
Liefert das Konto, ueber das bezahlt wurde.
`String[]`
`getWeitereVerwendungszwecke()`
Liefert eine Liste erweiterter Verwendungszwecke.
`String`
`getZweck()`
Liefert die Zeile 1 des Verwendungszwecks.
`String`
`getZweck2()`
Liefert die Zeile 2 des Verwendungszwecks.
`protected void`
`insertCheck()`
`void`
`overwrite(de.willuhn.datasource.rmi.DBObject object)`
`void`
`setBetrag(double betrag)`
Speichert den zu ueberweisenden Betrag.
`void`
`setGegenkonto(Address e)`
Setzt alle drei oben genannten Gegenkonto-Eigenschaften auf einmal.
`void`
`setGegenkontoBLZ(String blz)`
Speichert die BLZ des Gegenkontos.
`void`
`setGegenkontoName(String name)`
Speichert den Namen des Kontoinhabers des Gegenkontos.
`void`
`setGegenkontoNummer(String konto)`
Speichert die Kontonummer des Gegenkontos.
`void`
`setKonto(Konto konto)`
Speichert das Konto, das zur Bezahlung verwendet werden soll.
`void`
`setWeitereVerwendungszwecke(String[] list)`
Speichert eine Liste erweiterter Verwendungszwecke.
`void`
`setZweck(String zweck)`
Speichert den Zweck der Ueberweisung.
`void`
`setZweck2(String zweck2)`
Speichert Zeile 2 des Verwendungszwecks.
`void`
`store()`
`protected void`
`updateCheck()`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`getMeta, setMeta`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getForeignObject, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getPrimaryAttribute, getService, getTableName, getUpdateSQL, hasChanged, hasChanged, init, insert, isNewObject, load, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, isNewObject`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

## Constructor Details

### AbstractHibiscusTransferImpl

public AbstractHibiscusTransferImpl() throws RemoteException
ct.

Throws:
  `RemoteException`

## Method Details

### getAttribute

public Object getAttribute(String arg0) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.rmi.DBObject`
Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Overrides:
  `getAttribute` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getAttribute(java.lang.String)`

### overwrite

public void overwrite(de.willuhn.datasource.rmi.DBObject object) throws RemoteException

Specified by:
  `overwrite` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `overwrite` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.overwrite(de.willuhn.datasource.rmi.DBObject)`

### insertCheck

protected void insertCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `insertCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.insertCheck()`

### updateCheck

protected void updateCheck() throws de.willuhn.util.ApplicationException

Overrides:
  `updateCheck` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.updateCheck()`

### getKonto

public Konto getKonto() throws RemoteException
Description copied from interface: `HibiscusTransfer`
Liefert das Konto, ueber das bezahlt wurde.

Specified by:
  `getKonto` in interface `HibiscusTransfer`
Returns:
  Konto.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.getKonto()`

### getBetrag

public double getBetrag() throws RemoteException
Description copied from interface: `Transfer`
Liefert den Betrag.

Specified by:
  `getBetrag` in interface `Transfer`
Returns:
  Betrag.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getBetrag()`

### getZweck

public String getZweck() throws RemoteException
Description copied from interface: `Transfer`
Liefert die Zeile 1 des Verwendungszwecks.

Specified by:
  `getZweck` in interface `Transfer`
Returns:
  Zeile 1 des Verwendungszwecks.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getZweck()`

### getZweck2

public String getZweck2() throws RemoteException
Description copied from interface: `Transfer`
Liefert die Zeile 2 des Verwendungszwecks.

Specified by:
  `getZweck2` in interface `Transfer`
Returns:
  Zeile 2 des Verwendungszwecks.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getZweck2()`

### setKonto

public void setKonto(Konto konto) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert das Konto, das zur Bezahlung verwendet werden soll.

Specified by:
  `setKonto` in interface `HibiscusTransfer`
Parameters:
  `konto` - Konto, das verwendet werden soll.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setKonto(de.willuhn.jameica.hbci.rmi.Konto)`

### setBetrag

public void setBetrag(double betrag) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert den zu ueberweisenden Betrag.

Specified by:
  `setBetrag` in interface `HibiscusTransfer`
Parameters:
  `betrag` - Betrag.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setBetrag(double)`

### setZweck

public void setZweck(String zweck) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert den Zweck der Ueberweisung.

Specified by:
  `setZweck` in interface `HibiscusTransfer`
Parameters:
  `zweck` - Zweck der Ueberweisung.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setZweck(java.lang.String)`

### setZweck2

public void setZweck2(String zweck2) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert Zeile 2 des Verwendungszwecks.

Specified by:
  `setZweck2` in interface `HibiscusTransfer`
Parameters:
  `zweck2` - Zeile 2 des Verwendungszwecks.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setZweck2(java.lang.String)`

### getGegenkontoNummer

public String getGegenkontoNummer() throws RemoteException
Description copied from interface: `Transfer`
Liefert die Kontonummer des Gegenkontos.

Specified by:
  `getGegenkontoNummer` in interface `Transfer`
Returns:
  Kontonummer des Empfaengers.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getGegenkontoNummer()`

### getGegenkontoBLZ

public String getGegenkontoBLZ() throws RemoteException
Description copied from interface: `Transfer`
Liefert die BLZ des Gegenkontos.

Specified by:
  `getGegenkontoBLZ` in interface `Transfer`
Returns:
  BLZ des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getGegenkontoBLZ()`

### getGegenkontoName

public String getGegenkontoName() throws RemoteException
Description copied from interface: `Transfer`
Liefert den Namen des Kontoinhabers des Gegenkontos.

Specified by:
  `getGegenkontoName` in interface `Transfer`
Returns:
  Name des Kontoinhabers des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getGegenkontoName()`

### setGegenkontoNummer

public void setGegenkontoNummer(String konto) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert die Kontonummer des Gegenkontos.

Specified by:
  `setGegenkontoNummer` in interface `HibiscusTransfer`
Parameters:
  `konto` - Kontonummer des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setGegenkontoNummer(java.lang.String)`

### setGegenkontoBLZ

public void setGegenkontoBLZ(String blz) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert die BLZ des Gegenkontos.

Specified by:
  `setGegenkontoBLZ` in interface `HibiscusTransfer`
Parameters:
  `blz` - BLZ des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setGegenkontoBLZ(java.lang.String)`

### setGegenkontoName

public void setGegenkontoName(String name) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert den Namen des Kontoinhabers des Gegenkontos.

Specified by:
  `setGegenkontoName` in interface `HibiscusTransfer`
Parameters:
  `name` - Name des Kontoinhabers des Gegenkontos.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setGegenkontoName(java.lang.String)`

### delete

public void delete() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `delete` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `delete` in class `AbstractHibiscusDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.delete()`

### setGegenkonto

public void setGegenkonto(Address e) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Setzt alle drei oben genannten Gegenkonto-Eigenschaften auf einmal.

Specified by:
  `setGegenkonto` in interface `HibiscusTransfer`
Parameters:
  `e` -
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setGegenkonto(de.willuhn.jameica.hbci.rmi.Address)`

### getWeitereVerwendungszwecke

public String[] getWeitereVerwendungszwecke() throws RemoteException
Description copied from interface: `Transfer`
Liefert eine Liste erweiterter Verwendungszwecke.

Specified by:
  `getWeitereVerwendungszwecke` in interface `Transfer`
Returns:
  Liste erweiterter Verwendungszwecke.
Throws:
  `RemoteException`
See Also:
  - `Transfer.getWeitereVerwendungszwecke()`

### setWeitereVerwendungszwecke

public void setWeitereVerwendungszwecke(String[] list) throws RemoteException
Description copied from interface: `HibiscusTransfer`
Speichert eine Liste erweiterter Verwendungszwecke.

Specified by:
  `setWeitereVerwendungszwecke` in interface `HibiscusTransfer`
Parameters:
  `list` - Liste erweiterter Verwendungszwecke.
Throws:
  `RemoteException`
See Also:
  - `HibiscusTransfer.setWeitereVerwendungszwecke(java.lang.String[])`

### store

public void store() throws RemoteException, de.willuhn.util.ApplicationException

Specified by:
  `store` in interface `de.willuhn.datasource.rmi.Changeable`
Overrides:
  `store` in class `AbstractHibiscusDBObject`
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
See Also:
  - `AbstractDBObject.store()`